OGRE-Next: Ogre::VectorIteratorWrapper< T, IteratorType > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VectorIteratorWrapper< T, IteratorType > Class Template Reference

Prepared IteratorWrapper for container like std::vector. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::VectorIteratorWrapper< T, IteratorType >:
[legend]

## Public Types
typedef IteratorWrapper< T, IteratorType, typenameT::value_type >::PointerType | PointerType
typedef IteratorWrapper< T, IteratorType, typenameT::value_type >::ValueType | ValueType
Public Types inherited from Ogre::IteratorWrapper< T, IteratorType, T::value_type >
typedef IteratorType | const_iterator
| Typedef to fulfill container interface.
typedef IteratorType | iterator
| Typedef to fulfill container interface.
typedef T::value_type * | PointerType
| Type you expect to get by funktions like peekNext(Value)Ptr.
typedef T::value_type | ValueType
| Type you expect to get by funktions like peekNext(Value).

## Public Member Functions
| VectorIteratorWrapper (IteratorType start, IteratorType last)
| c'tor
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
ValueType | peekNext () const
| Returns the next(=current) element in the collection, without advancing to the next.
PointerType | peekNextPtr () const
| Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards.
Public Member Functions inherited from Ogre::IteratorWrapper< T, IteratorType, T::value_type >
const IteratorType & | begin ()
| Bookmark to the begin of the underlying collection.
IteratorType & | current ()
| Full access to the current iterator.
const IteratorType & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.

## Detailed Description

template<typename T, typename IteratorType>
class Ogre::VectorIteratorWrapper< T, IteratorType >

Prepared IteratorWrapper for container like std::vector.

Template Parameters

  T | = Container eg vector
  IteratorType | T::iterator or T::const_iterator

Have a look at VectorIterator and ConstVectorIterator for a more concrete usage

## Member Typedef Documentation

## ◆ PointerType

template<typename T, typename IteratorType>

typedef IteratorWrapper<T,IteratorType,typenameT::value_type>::PointerType Ogre::VectorIteratorWrapper< T, IteratorType >::PointerType

## ◆ ValueType

template<typename T, typename IteratorType>

typedef IteratorWrapper<T,IteratorType,typenameT::value_type>::ValueType Ogre::VectorIteratorWrapper< T, IteratorType >::ValueType

## Constructor & Destructor Documentation

## ◆ VectorIteratorWrapper()

template<typename T, typename IteratorType>

Ogre::VectorIteratorWrapper< T, IteratorType >::VectorIteratorWrapper | ( | IteratorType | start,
|  | IteratorType | last )
| inline

c'tor

Constructor that provide a start and end iterator to initialise.

Parameters

  start | Start iterator
  last | End iterator

Referenced by Ogre::ConstVectorIterator< NodeTrackList >::ConstVectorIterator(), Ogre::ConstVectorIterator< NodeTrackList >::ConstVectorIterator(), Ogre::VectorIterator< PoseRefList >::VectorIterator(), and Ogre::VectorIterator< PoseRefList >::VectorIterator().

## Member Function Documentation

## ◆ getNext()

template<typename T, typename IteratorType>

ValueType Ogre::VectorIteratorWrapper< T, IteratorType >::getNext | ( |  | ) |
| inline

Returns the next(=current) value element in the collection, and advances to the next.

Referenced by Ogre::Lod0Stripifier::StripLod0Vertices().

## ◆ peekNext()

template<typename T, typename IteratorType>

ValueType Ogre::VectorIteratorWrapper< T, IteratorType >::peekNext | ( |  | ) | const
| inline

Returns the next(=current) element in the collection, without advancing to the next.

## ◆ peekNextPtr()

template<typename T, typename IteratorType>

PointerType Ogre::VectorIteratorWrapper< T, IteratorType >::peekNextPtr | ( |  | ) | const
| inline

Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards.

The documentation for this class was generated from the following file:

- OgreIteratorWrapper.h